domingo, enero 18

FreeCAD

Un día de estos se me ocurrió hacer un plano y/o un modelo 3D de un pequeño mueble que estoy construyendo.

Intentando volver a mi centro linuxero, busqué un programa para linux que me permitiera hacerlo, al más puro estilo AutoCAD en windows.

Buscando vía google, finalmente llegué a dos alternativas que me parecieron bastante razonables: BRLCAD y FreeCAD.

Me decidí por instalar FreeCAD primero. No estaba en los repositorios de ubuntu, así que a compilar se ha dicho.

Tuve que instalar algunas dependencias, entre las que se cuentan
python-dev
libxerces28 libxerces28-dev
libboost-*
qt4-dev-tools libqt4-dev
libcoin40-dev
libsoqt-dev

Para instalarlo con todos los bells and whistles, tuve que instalar otros paquetes.

El primero fue GTS
apt-get install libgts-dev

Luego fue OpenCASCADE, el cual también había que compilar, y resolver sus dependencias, entre las cuales se cuentan
sun-java6-jdk
tcl8.4 tcl8.4-dev
tk8.4 tk8.4-dev
automake1.7

Luego de instalar estos paquetes, volvemos al directorio OpenCASCADE6.3.0/ros para comenzar con la compilación y hacemos
./configure --with-java-include=/usr/lib/jvm/java-6-sun-1.6.0.07/include --with-tcl=/usr/share/tcltk/tcl8.4 --with-tk=/usr/share/tcltk/tk8.4
make
make install

Luego, volvemos a la instalación de FreeCAD, y al hacer
./configure
nos damos cuenta de que aún tenemos problemas con las librerías de OpenCASCADE...

Finalmente, para poder resolver las dependencias de OpenCASCADE tuve que agregar unos repositorios de Opennovation.org (ver), voilá! se podía instalar el paquete usando synaptic. Olviden todo lo de la compilación de OpenCASCADE.

Continuando con la compilación de FreeCAD, nuevamente al hacer ./configure, pasó todo sin problemas ni warnings, pero al hacer make, tiró unos errores que faltaban unos headers highgui.h y cv.h y muchos warnings de cosas no definidas... asi que synaptic al rescate!... había que instalar libhighgui1-dev y libcv1-dev y listo. Compilación exitosa.

Luego de varios intentos... y bastantes decepciones. Instalé el qcad community edition desde el repositorio, pero con tan mala suerte que esta cosa al hacer el plano pone el texto de las cotas en unidades de plano, o sea si tengo un texto de cota de 2.5 mm en un plano de 1m, el texto aparece minúsculo!! ilegible!!

Creo que probaré la alternativa AutoCAD Inventor sobre Wine. Ojalá resulte.

Espero que algún día hagan un programa CAD decente para Linux.

2 comentarios:

Paco dijo...

Hola como hiciste para instalar el brl cad? yo encontre uno que se llama medusa4 y lo pude instalar sin problemas la licencia personal es libre.

Saludos.

Sebastián dijo...

Oye... y si era para un mueble, no te servía sketchup?